Bug 494228 - Firefox Segfault
Firefox Segfault
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 17:08 EDT by Krzysztof "Uosiu" Hajdamowicz
Modified: 2009-12-01 04:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-28 15:36:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace of command firefox (38.27 KB, text/plain)
2009-04-05 17:08 EDT, Krzysztof "Uosiu" Hajdamowicz
no flags Details
ddd/gdb backtrace of firefox (14.04 KB, text/plain)
2009-04-06 11:59 EDT, Krzysztof "Uosiu" Hajdamowicz
no flags Details

  None (edit)
Description Krzysztof "Uosiu" Hajdamowicz 2009-04-05 17:08:10 EDT
Created attachment 338259 [details]
Strace of command firefox

Description of problem:
Firefox can't start
23:03 [ uosiu @ samhain ] /home/uosiu > mv .mozilla .something
23:04 [ uosiu @ samhain ] /home/uosiu > export LANG=C
23:05 [ uosiu @ samhain ] /home/uosiu > firefox
/usr/lib64/firefox-3.1b3/run-mozilla.sh: line 131: 14912 Segmentation fault      "$prog" ${1+"$@"}


Version-Release number of selected component (if applicable):
23:05 [ uosiu @ samhain ] /home/uosiu > rpm -q firefox
firefox-3.1-0.11.beta3.fc11.x86_64


How reproducible:
always

Steps to Reproduce:
1. install f11 beta
2. update system
3. start firefox
  
Actual results:
23:05 [ uosiu @ samhain ] /home/uosiu > firefox
/usr/lib64/firefox-3.1b3/run-mozilla.sh: line 131: 14912 Segmentation fault      "$prog" ${1+"$@"}

Expected results:
Firefox works normally

Additional info:
Comment 1 Martin Stransky 2009-04-06 02:21:35 EDT
Can you please install debuginfo packages and attach backtrace from gdb? (run 'firefox -g -d gdb')
Comment 2 Martin Stransky 2009-04-06 02:24:54 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

First of all, could we get output of the command

 rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

 debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

 (gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this
information.

Thanks in advance.
Comment 3 Krzysztof "Uosiu" Hajdamowicz 2009-04-06 11:58:50 EDT
17:38 [ uosiu @ samhain ] /home/uosiu > rpm -qa \*xulrun\* \*firefox\* \*mozilla\* \*flash\* \*plugin\* | sort
alsa-plugins-pulseaudio-1.0.18-3.fc11.i586
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
anaconda-yum-plugins-1.0-4.fc11.noarch
audacious-plugin-fc-0.3-2.x86_64
audacious-plugins-1.5.1-3.fc11.x86_64
audacious-plugins-amidi-1.5.1-3.fc11.x86_64
audacious-plugins-arts-1.5.1-3.fc11.x86_64
audacious-plugins-esd-1.5.1-3.fc11.x86_64
audacious-plugins-freeworld-1.5.1-2.fc11.x86_64
audacious-plugins-freeworld-aac-1.5.1-2.fc11.x86_64
audacious-plugins-freeworld-alac-1.5.1-2.fc11.x86_64
audacious-plugins-freeworld-mms-1.5.1-2.fc11.x86_64
audacious-plugins-freeworld-mp3-1.5.1-2.fc11.x86_64
audacious-plugins-freeworld-tta-1.5.1-2.fc11.x86_64
audacious-plugins-freeworld-wma-1.5.1-2.fc11.x86_64
audacious-plugins-jack-1.5.1-3.fc11.x86_64
audacious-plugins-metronome-1.5.1-3.fc11.x86_64
audacious-plugins-uade-2.09-5.fc11.x86_64
audacious-plugins-vortex-1.5.1-3.fc11.x86_64
audacious-plugins-wavpack-1.5.1-3.fc11.x86_64
audacious-plugin-xmp-2.5.1-4.fc11.x86_64
elisa-plugins-bad-0.5.30-1.fc11.noarch
elisa-plugins-good-0.5.30-1.fc11.noarch
firefox-3.1-0.11.beta3.fc11.x86_64
firefox-debuginfo-3.1-0.11.beta3.fc11.x86_64
flash-plugin-10.0.22.87-release.i386
gstreamer-plugins-bad-0.10.11-3.fc11.x86_64
gstreamer-plugins-bad-extras-0.10.11-3.fc11.x86_64
gstreamer-plugins-base-0.10.22-2.fc11.x86_64
gstreamer-plugins-base-devel-0.10.22-2.fc11.x86_64
gstreamer-plugins-farsight-0.12.10-2.fc11.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-6.fc11.x86_64
gstreamer-plugins-good-0.10.14-2.fc11.x86_64
gstreamer-plugins-good-devel-0.10.14-2.fc11.x86_64
gstreamer-plugins-schroedinger-1.0.6-1.fc11.x86_64
gstreamer-plugins-ugly-0.10.11-1.fc11.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-17.b14.fc11.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-18.b14.fc11.x86_64
kipi-plugins-0.2.0-2.fc11.x86_64
konq-plugins-4.2.0-4.fc11.x86_64
mozilla-filesystem-1.9-4.fc11.x86_64
mythplugins-0.22-0.2.svn.r20293.fc11.x86_64
nspluginwrapper-1.3.0-5.fc11.i586
nspluginwrapper-1.3.0-5.fc11.x86_64
nspluginwrapper-debuginfo-1.3.0-5.fc11.x86_64
PackageKit-gstreamer-plugin-0.4.6-2.fc11.x86_64
PackageKit-yum-plugin-0.4.6-2.fc11.x86_64
plymouth-plugin-label-0.7.0-0.2009.03.10.2.fc11.x86_64
plymouth-plugin-solar-0.7.0-0.2009.03.10.2.fc11.x86_64
plymouth-plugin-spinfinity-0.7.0-0.2009.03.10.2.fc11.x86_64
setroubleshoot-plugins-2.0.15-1.fc11.noarch
totem-mozplugin-2.26.1-2.fc11.x86_64
vamp-plugin-sdk-2.0-5.fc11.x86_64
xulrunner-1.9.1-0.11.beta3.fc11.x86_64
xulrunner-debuginfo-1.9.1-0.11.beta3.fc11.x86_64
xulrunner-devel-1.9.1-0.11.beta3.fc11.x86_64
xulrunner-devel-unstable-1.9.1-0.11.beta3.fc11.x86_64
yum-plugin-fastestmirror-1.1.21-2.fc11.noarch
Comment 4 Krzysztof "Uosiu" Hajdamowicz 2009-04-06 11:59:49 EDT
Created attachment 338353 [details]
ddd/gdb backtrace of firefox
Comment 5 Martin Stransky 2009-04-07 03:17:19 EDT
Hm, it crashes somewhere in glib/gtk...when did the bug appear?
Comment 6 Matěj Cepl 2009-04-07 08:42:15 EDT
Almost certainly GTK+ issue. Reassigning.
Comment 7 Krzysztof "Uosiu" Hajdamowicz 2009-04-07 12:09:34 EDT
(In reply to comment #5)
> Hm, it crashes somewhere in glib/gtk...when did the bug appear?  

When starting firefox- sometimes even window border appear- but usually nothin' happens on screen
Comment 8 Matthias Clasen 2009-04-07 13:34:08 EDT
If you call g_object_ref on something thats not a valid GObject, that is hardly gtks fault.

global_menu_gtk_changed_eh is not a gtk function.
Comment 9 Christopher Aillon 2009-04-07 14:15:48 EDT
Sounds more like a broken extension/plugin to me...
Comment 10 Martin Stransky 2009-04-08 02:31:06 EDT
global_menu_gtk_changed_eh doesn't come from firefox...can you try to run firefox in safe mode? (firefox -safe-mode)
Comment 11 Bug Zapper 2009-06-09 09:18:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 W Agtail 2009-08-24 14:04:01 EDT
Hi
I also get the same error message.
firefox -safemode
/usr/lib64/firefox-3.5.2/run-mozilla.sh: line 131:  7090 Segmentation fault     
 "$prog" ${1+"$@"}

uname -a
Linux tux 2.6.29.6-217.2.7.fc11.x86_64 #1 SMP Fri Aug 14 20:53:08 EDT 2
009 x86_64 x86_64 x86_64 GNU/Linux

rpm -q firefox
firefox-3.5.2-2.fc11.x86_64

All other updates applied.

How to reproduce this error message:
firefox -safemode # about:plugins confirms no installed plugins.
and select any of the menus in firefox, eg: File, Edit or View etc.
This is when firefox segfaults.

Now for the spooky part.
From another Linux machine (sorry, but in my case:
Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.9.0.13) Gecko/2009080316 Ubuntu/8.04 (hardy) Firefox/3.0.13), while I'm filling out this bug report, do the following:
open a terminal session
ssh -X tux # ssh to fedora 11 system
firefox # It appears as though I'm running firefox binary from my ubuntu system.

Honestly, I thought I was going mad and checked and reran with the same results.

Thanks.
Comment 13 W Agtail 2009-08-24 18:38:27 EDT
FYI thunderbird segfaults in the same way.
Select any of the menus in thunderbird, eg: File, Edit or View etc.
This is when thunderbird segfaults.
thunderbird-3.0-2.6.b3.fc11.x86_64

Regards.
Comment 14 Matěj Cepl 2009-08-25 18:00:14 EDT
(In reply to comment #12)
> ssh -X tux # ssh to fedora 11 system
> firefox # It appears as though I'm running firefox binary from my ubuntu
> system.
> 
> Honestly, I thought I was going mad and checked and reran with the same
> results.

You have to run

firefox -no-remote

otherwise firefox will find out (even through ssh) that you have already firefox session going on and switches to it. So, yes, you *were* running Ubuntu binary (if you had firefox already opened on Ubuntu).
Comment 15 Matěj Cepl 2009-08-25 18:02:25 EDT
and it should be

firefox -safe-mode
(note, additional dash)

about:plugins is not sufficient, because you can have still some addons (extensions) running.

So, yes, please, try again with -safe-mode.

Thank you
Comment 16 Chris Campbell 2009-11-28 11:22:45 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Krzysztof "Uosiu" Hajdamowicz 2009-11-28 14:03:39 EST
problem solved, problem was with gnome2-globalmenu, disabling mac style global menu helped
Comment 18 Chris Campbell 2009-11-28 15:36:31 EST
Uosiu, thank you for your time and effort in discovering and reporting this bug, as well as your efforts after. According to Comment #17, this issue is now resolved, so setting this bug to CLOSED.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.